OID reference

swIfStatus

1.3.6.1.4.1.89.43.1.1.13

Description

The status of a table entry. It is used to delete an entry from this table.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.43.1.1 (swIfEntry)
Node code
13
Node name
swIfStatus
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.43.1.1.13
URN notation
urn:oid:1.3.6.1.4.1.89.43.1.1.13
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 43 1 1 13}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfStatus(13)}
OID-IRI notation
  • /1/3/6/1/4/1/89/43/1/1/13
  • /ISO/Identified-Organization/6/1/4/1/89/43/1/1/13
  • /ISO/3/6/1/4/1/89/43/1/1/13
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/org/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/org/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/org/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfStatus

SNMP properties

Value type
RowStatus
Maximum access defined by MIB
read-write
Status in MIB
current, mandatory

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), NETGEAR official product and EOL MIB downloads, and others

Value type
RowStatus
Maximum access defined by MIB
read-write
Status in MIB
current

Variant 2 — D-Link official switch MIBs

Value type
RowStatus
Maximum access defined by MIB
read-write
Status in MIB
mandatory

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Product context

Documented MIB packages

The NETGEAR catalogue lists MIB files containing this definition with these product and release labels:

These are catalogue release labels, not necessarily MIB revisions. A MIB definition does not establish that a device implements it or permits access.

Available source records contain 3 distinct definitions; some records may not include a definition.

Show 3 published definitions

swIfStatus · current

swIfStatus OBJECT-TYPE
   SYNTAX  RowStatus
   MAX-ACCESS   read-write
   STATUS       current
   DESCRIPTION
       "The status of a table entry.
        It is used to delete an entry from this table."
  ::= { swIfEntry 13 }

swIfStatus · current

swIfStatus OBJECT-TYPE
   SYNTAX  RowStatus
   MAX-ACCESS   read-write
   STATUS       current
   DESCRIPTION
       "The status of a table entry.
        It is used to delete an entry from this table."
  ::= { swIfEntry 13 }

swIfStatus · mandatory

swIfStatus OBJECT-TYPE
   SYNTAX  RowStatus
   ACCESS  read-write
   STATUS  mandatory
   DESCRIPTION
       "The status of a table entry.
        It is used to delete an entry from this table."
  ::= { swIfEntry 13 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

The status of a table entry. It is used to delete an entry from this table.

Sources for this description

Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Dell MIB copies (LibreNMS/Observium Community)D-Link official switch MIBsNetdisco MIB archive copiesNETGEAR official product and EOL MIB downloads

See 2 matching source records

Evidence

Source records

2 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others2 records · 7 sources

Description 1

swIfStatus · currentMultiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others6 sources

Status in source: current.

Names: swIfStatus

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "swIfStatus",
    "OBJECT-TYPE",
    "SYNTAX",
    "RowStatus",
    "MAX-ACCESS",
    "read-write",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"The status of a table entry. It is used to delete an entry from this table.\"",
    "::=",
    "{",
    "swIfEntry",
    "13",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "RowStatus"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "The status of a table entry. It is used to delete an entry from this table."
    ],
    null,
    null,
    null,
    null
  ]
}
swIfStatus · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: swIfStatus

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "swIfStatus",
    "OBJECT-TYPE",
    "SYNTAX",
    "RowStatus",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"The status of a table entry. It is used to delete an entry from this table.\"",
    "::=",
    "{",
    "swIfEntry",
    "13",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "RowStatus"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "The status of a table entry. It is used to delete an entry from this table."
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (45)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.43.1.1.1 swIfIndex00
1.3.6.1.4.1.89.43.1.1.2 swIfPhysAddressType00
1.3.6.1.4.1.89.43.1.1.3 swIfDuplexAdminMode00
1.3.6.1.4.1.89.43.1.1.4 swIfDuplexOperMode00
1.3.6.1.4.1.89.43.1.1.5 swIfBackPressureMode00
1.3.6.1.4.1.89.43.1.1.6 swIfTaggedMode00
1.3.6.1.4.1.89.43.1.1.7 swIfTransceiverType00
1.3.6.1.4.1.89.43.1.1.8 swIfLockAdminStatus00
1.3.6.1.4.1.89.43.1.1.9 swIfLockOperStatus00
1.3.6.1.4.1.89.43.1.1.10 swIfType00
1.3.6.1.4.1.89.43.1.1.11 swIfDefaultTag00
1.3.6.1.4.1.89.43.1.1.12 swIfDefaultPriority00
1.3.6.1.4.1.89.43.1.1.14 swIfFlowControlMode00
1.3.6.1.4.1.89.43.1.1.15 swIfSpeedAdminMode00
1.3.6.1.4.1.89.43.1.1.16 swIfSpeedDuplexAutoNegotiation00
1.3.6.1.4.1.89.43.1.1.17 swIfOperFlowControlMode00
1.3.6.1.4.1.89.43.1.1.18 swIfOperSpeedDuplexAutoNegotiation00
1.3.6.1.4.1.89.43.1.1.19 swIfOperBackPressureMode00
1.3.6.1.4.1.89.43.1.1.20 swIfAdminLockAction00
1.3.6.1.4.1.89.43.1.1.21 swIfOperLockAction00
1.3.6.1.4.1.89.43.1.1.22 swIfAdminLockTrapEnable00
1.3.6.1.4.1.89.43.1.1.23 swIfOperLockTrapEnable00
1.3.6.1.4.1.89.43.1.1.24 swIfOperSuspendedStatus00
1.3.6.1.4.1.89.43.1.1.25 swIfLockOperTrapCount00
1.3.6.1.4.1.89.43.1.1.26 swIfLockAdminTrapFrequency00
1.3.6.1.4.1.89.43.1.1.27 swIfReActivate00
1.3.6.1.4.1.89.43.1.1.28 swIfAdminMdix00
1.3.6.1.4.1.89.43.1.1.29 swIfOperMdix00
1.3.6.1.4.1.89.43.1.1.30 swIfHostMode00
1.3.6.1.4.1.89.43.1.1.31 swIfSingleHostViolationAdminAction00
1.3.6.1.4.1.89.43.1.1.32 swIfSingleHostViolationOperAction00
1.3.6.1.4.1.89.43.1.1.33 swIfSingleHostViolationAdminTrapEnable00
1.3.6.1.4.1.89.43.1.1.34 swIfSingleHostViolationOperTrapEnable00
1.3.6.1.4.1.89.43.1.1.35 swIfSingleHostViolationOperTrapCount00
1.3.6.1.4.1.89.43.1.1.36 swIfSingleHostViolationAdminTrapFrequency00
1.3.6.1.4.1.89.43.1.1.37 swIfLockLimitationMode00
1.3.6.1.4.1.89.43.1.1.38 swIfLockMaxMacAddresses00
1.3.6.1.4.1.89.43.1.1.39 swIfLockMacAddressesCount00
1.3.6.1.4.1.89.43.1.1.40 swIfAdminSpeedDuplexAutoNegotiationLocalCapabilities00
1.3.6.1.4.1.89.43.1.1.41 swIfOperSpeedDuplexAutoNegotiationLocalCapabilities00
1.3.6.1.4.1.89.43.1.1.42 swIfSpeedDuplexNegotiationRemoteCapabilities00
1.3.6.1.4.1.89.43.1.1.43 swIfAdminComboMode00
1.3.6.1.4.1.89.43.1.1.44 swIfOperComboMode00
1.3.6.1.4.1.89.43.1.1.45 swIfAutoNegotiationMasterSlavePreference00
1.3.6.1.4.1.89.43.1.1.46 swIfPortCapabilities00